# $Revision: 1.31 $, $Date: 2004/12/01 21:55:34 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	Simple DirectMedia Layer Perl
Summary(pl):	Interfejs Simple DirectMedia Layer dla Perla
Name:		perl-SDL
Version:	2.1.2
Release:	2
License:	LGPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/D/DG/DGOEHRIG/SDL_Perl-%{version}.tar.gz
# Source0-md5:	a48a8eb53caa228463137b990a03590c
Patch0:		%{name}-detection.patch
URL:		http://search.cpan.org/dist/SDL_Perl/
BuildRequires:	OpenGL-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_gfx-devel >= 2.0.10
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_net-devel
BuildRequires:	SDL_ttf-devel
BuildRequires:	glut-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	perl-Module-Build
BuildRequires:	perl-Test-Simple
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	smpeg-devel
Provides:	perl(SDL::OpenGL)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SDL_perl is a package of perl modules that provides both functional
and object orient interfaces to the Simple DirectMedia Layer for Perl
5. This package does take some liberties with the SDL API, and
attempts to adhere to the spirit of both the SDL and Perl.

%description -l pl
SDL_perl to pakiet z moduami Perla udostpniajcy z poziomu Perla
interfejsy zarwno funkcjonalne, jak i zorientowane obiektowo do
biblioteki SDL (Simple DirectMedia Layer). Pakiet przejmuje troch
swobody z API SDL i prbuje si dopasowa do idei SDL oraz Perla.

%prep
%setup -q -n SDL_Perl-%{version}
#%patch0 -p1
mv t/mixerpm.t{,.blah}	# requires audio device

%build
%{__perl} Build.PL \
	installdirs=vendor \
	perl=%{__perl} \
	destdir=$RPM_BUILD_ROOT \
	config='optflags=%{rpmcflags}'
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS CHANGELOG TODO README
%{_mandir}/man3/*
%{perl_vendorarch}/SDL*.pm
%{perl_vendorarch}/SDL
%dir %{perl_vendorarch}/auto/SDL
%dir %{perl_vendorarch}/auto/SDL_perl
%{perl_vendorarch}/auto/SDL_perl/SDL_perl.bs
%attr(755,root,root) %{perl_vendorarch}/auto/SDL_perl/SDL_perl.so
%dir %{perl_vendorarch}/auto/SDL/OpenGL
%{perl_vendorarch}/auto/SDL/OpenGL/OpenGL.bs
%attr(755,root,root)%{perl_vendorarch}/auto/SDL/OpenGL/OpenGL.so
%dir %{perl_vendorarch}/auto/SDL/SFont
%{perl_vendorarch}/auto/SDL/SFont/SFont.bs
%attr(755,root,root)%{perl_vendorarch}/auto/SDL/SFont/SFont.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-SDL.spec,v $
Revision 1.31  2004/12/01 21:55:34  radek
- release 2: turned off t/mixerpm.t (requires audio device)

Revision 1.30  2004/12/01 18:10:34  radek
- autoupdated to 2.1.2

Revision 1.29  2004/12/01 10:34:04  radek
- standarized Source0 URL

Revision 1.28  2004/10/24 16:26:27  paladine
- spelling fixes, uppercases, etc.

Revision 1.27  2004/08/05 18:43:11  qboosh
- proper Module::Build usage (with optflags support)
- disabled patch - should it be updated or removed?

Revision 1.26  2004/08/05 15:45:07  pluto
- %%install finished.

Revision 1.25  2004/08/05 15:27:23  pluto
- updated to 2.1.0, URL updated, %%install nfy...

Revision 1.24  2004/07/14 08:28:46  qboosh
- missing dir, release 5

Revision 1.23  2004/05/06 12:57:54  qboosh
- little more informative summaries, updated perl dep

Revision 1.22  2004/04/27 15:26:25  ankry
- new bconds

Revision 1.21  2004/02/18 16:27:02  qboosh
- s/no/nb/ in Summary langs

Revision 1.20  2003/12/12 15:05:59  grzegol
- rel. 4 to rebuild with SDL_gfx-2.0.10

Revision 1.19  2003/09/09 10:24:47  ankry
- spaces -> tab

Revision 1.18  2003/08/18 08:09:10  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.17  2003/07/29 13:32:39  grzegol
- rel. 3 to rebuild with SDL_gfx-2.0.8
- cosmetics

Revision 1.16  2003/05/28 13:01:00  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 06:24:56  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/03/01 20:45:53  radek
- should be ready for perl-5.8.0; release++

Revision 1.13  2003/02/25 00:41:46  radek
- use the __perl macro

Revision 1.12  2003/02/21 15:39:29  ankry
- updated to 1.20.0

Revision 1.11  2003/02/17 21:40:52  ankry
- changed src URL to a working one

Revision 1.10  2002/12/21 02:18:52  wolf
- remove loose g
- suddenly sdl-config --cflags returns something unexpected

Revision 1.9  2002/10/28 15:46:19  ankry
- version 1.19.1

Revision 1.8  2002/09/27 13:56:49  ankry
- added tests, translation, use optimization flags
- removed .packlist and empty autosplit.ix
- version 1.18.7, rel. 1

Revision 1.7  2002/07/12 22:35:13  ankry
- BR: SDL_image-devel
- release 2

Revision 1.6  2002/07/12 09:49:56  qboosh
- new %%doc and cosmetics

Revision 1.5  2002/07/11 08:03:39  depesz
- new version; should work; STBR

Revision 1.4  2002/06/18 13:52:17  wolf
- s/BR: perl/BR: perl-devel/

Revision 1.3  2002/05/29 12:26:43  qboosh
- pl description

Revision 1.2  2002/05/27 07:39:14  jajcus
- Version: 1.18
- official URL and Source

Revision 1.1  2002/05/27 07:22:31  jajcus
- new spec
